from django.conf.urls import url, patterns, include
from django.contrib import admin
from django.views.generic import TemplateView
from rest_framework.urlpatterns import format_suffix_patterns
from hwi.resources import *

admin.autodiscover()

urlpatterns = patterns(
    '',
    url(r'^$', ProcessPatient.as_view()),
    # Administrative components
    url(r'^admin/', include(admin.site.urls)),
)

urlpatterns = format_suffix_patterns(urlpatterns)
