#!/bin/bash

APP_DIR=/opt/app/

cd $APP_DIR
python3 scripts/retrieve_config.py

if [ -n "$HTTPS_ON" ]; then
    exec /usr/local/bin/uwsgi --enable-threads --disable-sendfile --die-on-term --https 0.0.0.0:8443,/certs/server_with_intermed.crt,/certs/server.key -p 2 -b 32768 -T --master --max-requests 5000 --static-map /static=/opt/app/_site/static --module wsgi:application
else
    exec /usr/local/bin/uwsgi --enable-threads --die-on-term --http-socket :8000 -p 4 -b 32768 -T --master --max-requests 5000 --static-map /static=/opt/app/_site/static --module wsgi:application
fi
