This is the server component for the Healthy Weight Initiative.

# Introduction #

This project provides clinical decision support to clinicians in primary care for children who are overweight or obese.

# Building the Service #

To build development:

    cd ~/git/hwi-service/
    git checkout develop
    export DOCKER_HOST=tcp://resrhtiuws04.research.chop.edu:2375
    ./build_remote.sh
    ./run_remote.sh

To build test:

    cd ~/git/hwi-service/
    git checkout master
    export DOCKER_HOST=tcp://resrhtiuws04.research.chop.edu:2375
    ./build_remote.sh
    ./run_remote.sh resrhtiuws04.research.chop.edu 2375 production 1 resrhtiuws04.research.chop.edu 9129


To build *production*:

    cd ~/git/hwi-service/
    git checkout master
    ssh -L 2375:localhost:2375 reslnpercwb01.research.chop.edu
    ./build_remote.sh localhost
    ./run_remote.sh localhost 2375 production

